# Type Alias jObjectBase

type jObjectBase = {
dateCreation?: string;
dateModified?: string | null;
id: number;
mainType: string;
type: string;
uri: string;
}

- Defined in jamespot-user-api/src/types/objectBase.ts:5

##### Index

### Properties

dateCreation?
dateModified?
id
mainType
type
uri

## Properties

### `Optional` dateCreation

dateCreation?: string

- Defined in jamespot-user-api/src/types/objectBase.ts:10

### `Optional` dateModified

dateModified?: string | null

- Defined in jamespot-user-api/src/types/objectBase.ts:11

### id

id: number

- Defined in jamespot-user-api/src/types/objectBase.ts:6

### mainType

mainType: string

- Defined in jamespot-user-api/src/types/objectBase.ts:7

### type

type: string

- Defined in jamespot-user-api/src/types/objectBase.ts:8

### uri

uri: string

- Defined in jamespot-user-api/src/types/objectBase.ts:9